{: test a compilation error occurs if a type is not defined }

{$d+}
program e005( output );

type
   prec1 = ^rec1;
   rec1 = record
             s    : packed array[1..8] of char;
             link : ^rec2;
          end;
   rec2 = record
             s2    : packed array[1..8] of char;
             link2 : prec; { !!! prec is not defined }
          end;
var
   pr : prec1;

begin {e005}

   writeln( 'fails: undefined type error not detected' );

end. { e005 }

